<apex:page controller="cms.CreateContentController" extensions="DSP_CMS_CardTitleLinkController" showHeader="false" sidebar="false" cache="false" standardStylesheets="false">
    <apex:form >
        <apex:outputPanel layout="block">
            <script type="text/javascript" language="javascript">
            $(document).ready(function(){
                
                ce.content_editor('registerSaveFunction',function(){
                    var attributes = new Array();
                    
                    attributes.push({"name":"website","value":$('#website').val(),"type":"Text", "lang":""});
                    
                    attributes.push({"name":"websiteLabel","value":$('#websiteLabel').val(),"type":"Text", "lang":""});
                    
                    return attributes;
                });
            });
            </script>
            <h1>Edit Card Title Link</h1>
            <table>
                <tr>
                    <td>Link: </td>
                    <td>
                        <input type="hidden" name="website" id="website" value="{!website}" />
                        <cms:PageSelector sname="{!content.cms__Site_Name__c}" cPassThroughId="website" DialogId="websiteDlg" value="{!website}" disabled="{!disableAll}" />
                    </td>
                </tr>
                <tr>
                    <td>Label: </td>
                    <td>
                        <input class="selected-page-label ocmsTextInputLrg" name="websiteLabel" value="{!websiteLabel}" id="websiteLabel" />
                    </td>
                </tr>
            </table>
        </apex:outputPanel>
    </apex:form>
</apex:page>